Proprietary drivers are installed locally and not on the target system

Bug #1793671 reported by Jean-Baptiste Lallement on 2018-09-21
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Unassigned
Bionic
Undecided
Unassigned

Bug Description

[Impact]

 * Installing systems with nvidia graphics card, and opting to use it, does not end up setting it up in the installed system

[Test Case]

 * Install on a system with nvidia graphics card
 * Opt to use 3rd party & proprietary drivers
 * Observe that nvidia dkms modules are installed in the target system

[Regression Potential]

 * Installation of 3rd party drivers was not attempted before, and thus may now fail, however that is non-default codepath (opt-in).
 * there are updates to flash-kernel & shim-signed which may regress that functionality under ubiquity, but shouldn't (see changelogs for those package updates)

[Other Info]

 * original bug report:

On a system with hardware requiring proprietary drivers (eg nVidia graphics card), when the user selects to install restricted add-ons and proprietary drivers, ubuntu-drivers runs immediately when the installer exits the prepare step.
Doing so it installs the drivers on the live session. However this step is not executed in the target filesystem afterward, once its ready.
Therefore, after installation, the proprietary drivers are not installed on the system.

The installation of proprietary drivers must happen in the live session, for network drivers for example, and in the target system for all the drivers supported by the system.

ProblemType: Bug
DistroRelease: Ubuntu 18.10
Package: ubiquity (not installed)
ProcVersionSignature: Ubuntu 4.18.0-7.8-generic 4.18.5
Uname: Linux 4.18.0-7-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.20.10-0ubuntu11
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Sep 21 09:49:29 2018
InstallCmdLine: BOOT_IMAGE=/casper/vmlinuz.efi file=/cdrom/preseed/ubuntu.seed boot=casper --
InstallationDate: Installed on 2013-09-03 (1843 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
ProcEnviron:
 TERM=screen-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
SourcePackage: ubiquity
UpgradeStatus: Upgraded to cosmic on 2018-01-26 (237 days ago)

Jean-Baptiste Lallement (jibel) wrote :
tags: added: rls-cc-incoming
summary: - Proprietary drivers are installed locally instead of target system
+ Proprietary drivers are installed locally and not on target system
description: updated
summary: - Proprietary drivers are installed locally and not on target system
+ Proprietary drivers are installed locally and not on the target system
Steve Langasek (vorlon) on 2018-09-27
Changed in ubiquity (Ubuntu):
importance: Undecided → High
description: updated
tags: added: id-5bacf4d167b9b07053633a4f
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 19.04.4

---------------
ubiquity (19.04.4) disco; urgency=medium

  * When installing non-free packages, also iterate and install any
    apt-installed marked packages which may include non-free drivers
    detected by ubuntu-drivers. LP: #1793671

 -- Dimitri John Ledkov <email address hidden> Thu, 20 Dec 2018 11:22:12 +1100

Changed in ubiquity (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon) on 2019-01-10
Changed in ubiquity (Ubuntu Bionic):
milestone: none → ubuntu-18.04.2
description: updated
Changed in ubiquity (Ubuntu Bionic):
status: New → In Progress

Hello Jean-Baptiste, or anyone else affected,

Accepted ubiquity into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ubiquity/18.04.14.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in ubiquity (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Dimitri John Ledkov (xnox) wrote :

Installed system using latest bionic daily, which contains ubiquity 18.04.14.11.

The machine has nvidia graphics drivers, and I opted into installing 3rd party drivers.
The nvidia drivers got correctly installed, and compiled:

$ find lib/modules -name nvidia.ko
lib/modules/4.15.0-45-generic/updates/dkms/nvidia.ko
lib/modules/4.15.0-44-generic/updates/dkms/nvidia.ko

Validated the disk after completing the install and shutting down, but prior to first boot of the installed system.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 18.04.14.11

---------------
ubiquity (18.04.14.11) bionic; urgency=medium

  [ Steve Langasek ]
  * scripts/plugininstall.py: don't hard-code a resume partition in
    /etc/initramfs-tools/conf.d/resume at install time. In bionic and later,
    initramfs-tools will autodetect an appropriate resume partition at
    initramfs generation time, so ubiquity's resume setting is redundant and
    possibly wrong. LP: #1768230.

 -- Dimitri John Ledkov <email address hidden> Mon, 21 Jan 2019 20:25:03 +0000

Changed in ubiquity (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers